Summary: A GSM sound format compressor/decompressor.
Name: gsm
Version: 1.0
Release: 8
Copyright: BSD
Group: Applications/Multimedia
Source: ftp://uiarchive.cso.uiuc.edu/pub/systems/linux/sunsite/utils/compress/gsm-1.0.tar.gz
patch0: Makefile.patch
BuildRoot: /var/tmp/gsm-root

%description
GSM compresses frames of 160 13-bit samples (8 kHz sampling rate,
i.e., a frame rate of 50 Hz) into 260 bits.  For compatibility with
typical UNIX applications, this implementation converts frames of 160
16-bit linear samples into 33-byte frames (1650 bytes/s).  The
algorithm's quality is good enough for reliable speaker recognition.
Even music often survives transcoding in recognizable form, given the
bandwidth limitations of an 8 kHz sampling rate).

%prep
%setup -q
%patch0 -p1 -b .jeremy

%build
make TARGET=$RPM_BUILD_ROOT/usr RPM_OPTS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir},%{_mandir}/man{1,3}}

install -m 755 -s bin/tcat	$RPM_BUILD_ROOT%{_bindir}
install -m 755 -s bin/toast	$RPM_BUILD_ROOT%{_bindir}
install -m 755 -s bin/untoast   $RPM_BUILD_ROOT%{_bindir}
install -m 644 lib/libgsm.a     $RPM_BUILD_ROOT%{_libdir}
install -m 644 inc/gsm.h 	$RPM_BUILD_ROOT%{_includedir}
install -m 644 man/toast.1	$RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 man/gsm.3	$RPM_BUILD_ROOT%{_mandir}/man3
install -m 644 man/gsm_option.3 $RPM_BUILD_ROOT%{_mandir}/man3
install -m 644 man/gsm_explode.3 $RPM_BUILD_ROOT%{_mandir}/man3
install -m 644 man/gsm_print.3  $RPM_BUILD_ROOT%{_mandir}/man3
 
%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(-,root,root)
%doc COPYRIGHT ChangeLog INSTALL MACHINES MANIFEST README
%{_bindir}/*
%{_mandir}/*/*
%{_libdir}/libgsm.a
%{_includedir}/gsm.h

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Fri Jul 21 2000 Tim Powers <timp@redhat.com>
- fixed broken RPM_OPTS line in build section as reported by John Summerfield
  <summer@OS2.ami.com.au>

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 7 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be in %{_mandir}

* Fri May 12 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Fri Feb 11 2000 Tim Powers <timp@redhat.com>
- gzip manpages

* Tue Jul 15 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Apr 07 1999 Michael Maher  <mike@redhat.com>
- edited Jeremy Hansen's spec file
